Bug 764655 - (GLUSTER-2923) NetBSD port
NetBSD port
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: porting (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Anand Avati
:
: 1121822 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-20 18:24 EDT by Anand Avati
Modified: 2015-09-01 19:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-17 07:37:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2011-05-20 18:24:28 EDT

    
Comment 1 Anand Avati 2011-05-30 04:48:18 EDT
PATCH: http://patches.gluster.com/patch/7215 in master (mount.glusterfs: The == operator is a non-standard bash extension. = should be used instead)
Comment 2 Anand Avati 2011-05-30 04:48:22 EDT
PATCH: http://patches.gluster.com/patch/7224 in master (rpc: use AI_ADDRCONFIG selectively)
Comment 3 Anand Avati 2011-05-30 04:48:27 EDT
PATCH: http://patches.gluster.com/patch/7216 in master (errno: NetBSD does not have EDOOFUS)
Comment 4 Anand Avati 2011-05-30 04:48:32 EDT
PATCH: http://patches.gluster.com/patch/7299 in master (fuse: NetBSD portability fixes)
Comment 5 Anand Avati 2011-05-30 04:48:36 EDT
PATCH: http://patches.gluster.com/patch/7218 in master (rpc: TCP_KEEPALIVE undeclared in NetBSD)
Comment 6 Anand Avati 2011-05-30 04:48:41 EDT
PATCH: http://patches.gluster.com/patch/7226 in master (fuse: NetBSD portability fixes)
Comment 7 Anand Avati 2011-05-30 04:48:46 EDT
PATCH: http://patches.gluster.com/patch/7219 in master (stat-prefetch: fix dirname(3) usage)
Comment 8 Anand Avati 2011-05-30 04:48:51 EDT
PATCH: http://patches.gluster.com/patch/7220 in master (quick-read: Fix dirname(3) usage)
Comment 9 Anand Avati 2011-05-30 04:48:55 EDT
PATCH: http://patches.gluster.com/patch/7221 in master (fuse: NetBSD portability fixes)
Comment 10 Anand Avati 2011-05-30 04:49:00 EDT
PATCH: http://patches.gluster.com/patch/7222 in master (rpc: NetBSD portability fixes)
Comment 11 Anand Avati 2011-05-30 04:49:05 EDT
PATCH: http://patches.gluster.com/patch/7223 in master (glusterfsd-mgmt: include signal.h)
Comment 12 Anand Avati 2011-07-29 01:28:39 EDT
CHANGE: http://review.gluster.com/52 (glibc dirname() modify the string it is given and returns it.) merged in release-3.1 by Anand Avati (avati@gluster.com)
Comment 13 Anand Avati 2011-08-12 05:03:01 EDT
CHANGE: http://review.gluster.com/222 (Change-Id: Ie05751aa8d96a2f7996843a914e1a66df2777eba) merged in master by Anand Avati (avati@gluster.com)
Comment 14 Anand Avati 2011-08-12 05:03:17 EDT
CHANGE: http://review.gluster.com/213 (Change-Id: Ie7837d521ea20b36ed70cf93c1763c226ff0e9f0) merged in master by Anand Avati (avati@gluster.com)
Comment 15 Anand Avati 2011-08-12 05:06:42 EDT
CHANGE: http://review.gluster.com/228 (Change-Id: I10dca7aee73df31f8b279591852d6ac19eab8ccc) merged in master by Anand Avati (avati@gluster.com)
Comment 16 Anand Avati 2011-08-12 05:07:16 EDT
CHANGE: http://review.gluster.com/214 (Change-Id: Icb0163d61bfbd3bad520c06a655f80ec05fc3fb2) merged in master by Anand Avati (avati@gluster.com)
Comment 17 Anand Avati 2011-08-12 05:07:54 EDT
CHANGE: http://review.gluster.com/220 (Change-Id: Id8d62f4f83255c67a5aa615aed23ba44c182290e) merged in master by Anand Avati (avati@gluster.com)
Comment 18 Anand Avati 2011-08-12 06:51:03 EDT
CHANGE: http://review.gluster.com/226 (Change-Id: I19ffd22b4d79009ef5f9d4a50fc6dd556c3c3ff4) merged in master by Anand Avati (avati@gluster.com)
Comment 19 Anand Avati 2011-11-23 23:48:12 EST
CHANGE: http://review.gluster.com/752 (Change-Id: I8d2e518d29cedb1fbfa77d0189a2d4a24957e662) merged in master by Anand Avati (avati@gluster.com)
Comment 20 Anand Avati 2011-11-23 23:49:06 EST
CHANGE: http://review.gluster.com/595 (Change-Id: Ied0a2fedb3b7604f6abbf0a4aa7f71e43a5ea568) merged in master by Anand Avati (avati@gluster.com)
Comment 21 Anand Avati 2011-11-23 23:49:50 EST
CHANGE: http://review.gluster.com/594 (Change-Id: Ia710bbe31ed48e4df4cd47f99e335d7226b99173) merged in master by Anand Avati (avati@gluster.com)
Comment 22 Anand Avati 2011-11-24 00:23:02 EST
CHANGE: http://review.gluster.com/230 (Change-Id: Ibd365e8d83c6faf631df7cb99ec62440496fcbdf) merged in master by Anand Avati (avati@gluster.com)
Comment 23 Anand Avati 2011-11-24 00:26:44 EST
CHANGE: http://review.gluster.com/753 (Change-Id: Id2acc1f9ae98194d541f5468616be441896c4239) merged in master by Anand Avati (avati@gluster.com)
Comment 24 Anand Avati 2011-11-24 00:33:50 EST
CHANGE: http://review.gluster.com/232 (linkat()
Comment 25 Anand Avati 2012-01-14 07:51:26 EST
CHANGE: http://review.gluster.com/2617 (don't try to get ngroups from /proc on non-Linux systems) merged in master by Anand Avati (avati@gluster.com)
Comment 26 Anand Avati 2012-05-01 13:24:34 EDT
CHANGE: http://review.gluster.com/3243 (get rid of ZR_PATH_MAX) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 27 Anand Avati 2012-05-11 03:41:12 EDT
CHANGE: http://review.gluster.com/3238 (NetBSD build fixes) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 28 Anand Avati 2012-05-16 01:26:35 EDT
CHANGE: http://review.gluster.com/3321 (NetBSD build fixes) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 29 Anand Avati 2012-05-18 22:15:19 EDT
CHANGE: http://review.gluster.com/3362 (stat(1) portability fix) merged in master by Anand Avati (avati@redhat.com)
Comment 30 Anand Avati 2012-05-18 22:16:41 EDT
CHANGE: http://review.gluster.com/3361 (Library search order fix) merged in master by Anand Avati (avati@redhat.com)
Comment 31 Anand Avati 2012-05-18 22:18:06 EDT
CHANGE: http://review.gluster.com/3320 (Provide missing basename_r and dirname_r) merged in master by Anand Avati (avati@redhat.com)
Comment 32 Vijay Bellur 2012-07-05 14:28:39 EDT
CHANGE: http://review.gluster.com/3574 (NetBSD build fixes. This is a backport of Change-Id: Ib8183d4b585465d05a7adf3a4ceae93ae1bded15) merged in release-3.3 by Anand Avati (avati@redhat.com)
Comment 33 Vijay Bellur 2012-07-09 08:39:51 EDT
CHANGE: http://review.gluster.com/3576 (Switch to GNU basename_r() and dirname_r() This is a backport of Change-Id Ic9a159fffdc7bacc9408f8e90854e4c2db81930c and Id874b9c7aacd9aa3a7a4bd6a92a9633f5b2d6ac0) merged in release-3.3 by Vijay Bellur (vbellur@redhat.com)
Comment 34 Vijay Bellur 2012-07-09 08:40:42 EDT
CHANGE: http://review.gluster.com/3579 (stat(1) flag to specify format is not portable This is a backport of Change-Id: Iae3c40b03118078530c29d14d5f7180c36361c16) merged in release-3.3 by Vijay Bellur (vbellur@redhat.com)
Comment 35 Vijay Bellur 2012-07-09 08:41:36 EDT
CHANGE: http://review.gluster.com/3578 (Set LD_LIBRARY_PATH before starting glusterfs This is a backport of Change-Id: I13bf0bea043351498b4bc885c5ac45b108229a0a) merged in release-3.3 by Vijay Bellur (vbellur@redhat.com)
Comment 36 Vijay Bellur 2012-07-13 17:07:47 EDT
CHANGE: http://review.gluster.com/3580 (Use linkat(2) for symlink to get portable behavior This is a backport of Change-Id: If7f6f17b48a4ccf8827c3795ec147306df6b5542) merged in release-3.3 by Anand Avati (avati@redhat.com)
Comment 37 Vijay Bellur 2012-07-13 17:08:29 EDT
CHANGE: http://review.gluster.com/3577 (NetBSD build fixes This is a backport of Change-Id: Icd7290f1e340675d763665a0d0c5f95bc14e0c55) merged in release-3.3 by Anand Avati (avati@redhat.com)
Comment 38 Vijay Bellur 2012-07-13 17:09:22 EDT
CHANGE: http://review.gluster.com/3575 (Use inet as default listene This is backport of Change-Id: I172570aa58ea08c4c74cfd28f121d3d4e02a55e0) merged in release-3.3 by Anand Avati (avati@redhat.com)
Comment 39 Vijay Bellur 2012-08-21 01:22:55 EDT
CHANGE: http://review.gluster.org/3837 (NetBSD build fix) merged in master by Anand Avati (avati@redhat.com)
Comment 40 Vijay Bellur 2012-10-20 03:33:09 EDT
CHANGE: http://review.gluster.org/4105 (In some cases AI_ADDRCONFIG confuses NetBSD 6.0) merged in master by Anand Avati (avati@redhat.com)
Comment 41 Vijay Bellur 2012-10-20 15:00:37 EDT
CHANGE: http://review.gluster.org/4115 (NetBSD negative timeout missing support workaround) merged in master by Anand Avati (avati@redhat.com)
Comment 42 Vijay Bellur 2012-11-22 13:07:03 EST
CHANGE: http://review.gluster.org/4152 (Use more portable mkstemp() instead fo mkostemp()) merged in master by Anand Avati (avati@redhat.com)
Comment 43 Anand Avati 2013-04-29 11:30:19 EDT
REVIEW: http://review.gluster.org/4900 (Fix spurious brick disconnects) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 44 Anand Avati 2013-04-29 17:25:33 EDT
COMMIT: http://review.gluster.org/4900 committed in master by Anand Avati (avati@redhat.com) 
------
commit ddad856d371b1cbc80e1a195e9d81edb1be31371
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Mon Apr 29 17:05:03 2013 +0200

    Fix spurious brick disconnects
    
    Spurious disconnect were caused by a race condition inside
    rpc_transport_ref()/rpc_transport_unref() that allowed the refcount
    to drop to zero while the transport was still in use. The race
    condition is made possible because of an uninitiaized mutex
    produced when socket_server_event_handler() copies the transport
    
    BUG: 764655
    Change-Id: I34fe097a0ac21b0dbf58f5eed84880e3fd9814f2
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/4900
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 45 Anand Avati 2013-04-29 20:43:26 EDT
REVIEW: http://review.gluster.org/4908 (Fix spurious brick disconnects) posted (#1) for review on release-3.4 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 46 Anand Avati 2013-04-30 08:36:08 EDT
REVIEW: http://review.gluster.org/4913 (Fix uninitialized mutex usage in synctask_destroy) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 47 Anand Avati 2013-04-30 23:12:40 EDT
COMMIT: http://review.gluster.org/4913 committed in master by Anand Avati (avati@redhat.com) 
------
commit d57e37a5235d8ddafa67d4b4e4dca5f3c2126591
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Tue Apr 30 14:33:09 2013 +0200

    Fix uninitialized mutex usage in synctask_destroy
    
    synctask_new() initialize task->mutex is task->synccbk is NULL.
    synctask_done() calls synctask_destroy() if task->synccbk is not NULL.
    synctask_destroy() always destroys the mutex.
    
    Fix that by checking for task->synccbk in synctask_destroy()
    
    BUG: 764655
    Change-Id: I50bb53bc6e2738dc0aa830adc4c1ea37b24ee2a0
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/4913
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 48 Anand Avati 2013-04-30 23:13:25 EDT
COMMIT: http://review.gluster.org/4908 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit bae32a5affd514e5a78ba3af6cc644cd5cd6814a
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Tue Apr 30 02:41:09 2013 +0200

    Fix spurious brick disconnects
    
    Spurious disconnect were caused by a race condition inside
    rpc_transport_ref()/rpc_transport_unref() that allowed the refcount
    to drop to zero while the transport was still in use. The race
    condition is made possible because of an uninitiaized mutex
    produced when socket_server_event_handler() copies the transport
    
    This is a backport of I34fe097a0ac21b0dbf58f5eed84880e3fd9814f2
    
    BUG: 764655
    Change-Id: Ib6a7c736f28ccc67d05be45629cddc18a642c11f
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/4908
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 49 Anand Avati 2013-05-01 00:25:11 EDT
REVIEW: http://review.gluster.org/4920 (Fix uninitialized mutex usage in synctask_destroy) posted (#1) for review on release-3.4 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 50 Anand Avati 2013-05-04 03:32:51 EDT
COMMIT: http://review.gluster.org/4920 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit dfa76943df9c36c3c7f5b31cf153b3c4bbc2ac2e
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Wed May 1 06:23:57 2013 +0200

    Fix uninitialized mutex usage in synctask_destroy
    
    synctask_new() initialize task->mutex is task->synccbk is NULL.
    synctask_done() calls synctask_destroy() if task->synccbk is not NULL.
    synctask_destroy() always destroys the mutex.
    
    Fix that by checking for task->synccbk in synctask_destroy()
    
    This is a backport of I50bb53bc6e2738dc0aa830adc4c1ea37b24ee2a0
    
    BUG: 764655
    Change-Id: I3d6292f05a986ae3ceee35161791348ce3771c12
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/4920
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 51 Anand Avati 2013-07-18 05:27:17 EDT
REVIEW: http://review.gluster.org/5340 (include <limits.h> for PATH_MAX) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 52 Anand Avati 2013-07-18 10:59:37 EDT
COMMIT: http://review.gluster.org/5340 committed in master by Anand Avati (avati@redhat.com) 
------
commit deb19de9f613611b374b1ff4d0f3a83079604c5a
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu Jul 18 11:13:08 2013 +0200

    include <limits.h> for PATH_MAX
    
    I need to include <limits.h> in order to use PATH_MAX, Otherwise it will
    not build at mine. I believe it is standard compliant to do so:
    http://pubs.opengroup.org/onlinepubs/009695399/basedefs/limits.h.html
    
    BUG: 764655
    Change-Id: I3f124466f7f7742e94a9d1256bc9239ec16aab04
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/5340
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 53 Anand Avati 2013-07-18 11:12:16 EDT
REVIEW: http://review.gluster.org/5342 (include <limits.h> for PATH_MAX) posted (#1) for review on release-3.4 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 54 Anand Avati 2013-07-19 00:25:33 EDT
COMMIT: http://review.gluster.org/5342 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit bfa0b8acabcdce7883ced9fc9ce867792c3e5547
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu Jul 18 17:10:54 2013 +0200

    include <limits.h> for PATH_MAX
    
    I need to include <limits.h> in order to use PATH_MAX, Otherwise it will
    not build at mine. I believe it is standard compliant to do so:
    http://pubs.opengroup.org/onlinepubs/009695399/basedefs/limits.h.html
    
    Backport of I3f124466f7f7742e94a9d1256bc9239ec16aab04
    
    BUG: 764655
    Change-Id: I92c79dfd439f41bfa2a970c16c13a60ea6baa2f8
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/5342
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 55 Anand Avati 2013-10-04 04:16:17 EDT
REVIEW: http://review.gluster.org/6034 (Fix build with c99 compilers) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 56 Anand Avati 2013-10-04 04:18:14 EDT
REVIEW: http://review.gluster.org/6036 (Fix build on NetBSD-current) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 57 Anand Avati 2013-10-04 20:05:14 EDT
COMMIT: http://review.gluster.org/6036 committed in master by Anand Avati (avati@redhat.com) 
------
commit 8c1f5cffea19c2119be7c55c79325a5d6324faa2
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Fri Oct 4 10:17:09 2013 +0200

    Fix build on NetBSD-current
    
    BUG: 764655
    Change-Id: I2aaec9de617b0616525ad30f82ac6f75a6446d33
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/6036
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 58 Anand Avati 2013-12-19 04:13:54 EST
REVIEW: http://review.gluster.org/6539 (Use linkat() instead of link() for portability sake) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 59 Anand Avati 2013-12-19 09:35:22 EST
REVIEW: http://review.gluster.org/6539 (Use linkat() instead of link() for portability sake) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 60 Anand Avati 2013-12-26 03:55:03 EST
REVIEW: http://review.gluster.org/6594 (Use linkat() instead of link() for portability sake) posted (#1) for review on release-3.5 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 61 Anand Avati 2013-12-28 02:33:21 EST
REVIEW: http://review.gluster.org/6594 (Use linkat() instead of link() for portability sake) posted (#2) for review on release-3.5 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 62 Anand Avati 2013-12-28 02:33:32 EST
REVIEW: http://review.gluster.org/6612 (Use linkat() instead of link() for portability sake) posted (#1) for review on release-3.5 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 63 Anand Avati 2013-12-28 02:34:49 EST
REVIEW: http://review.gluster.org/6539 (Use linkat() instead of link() for portability sake) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 64 Anand Avati 2013-12-28 02:34:55 EST
REVIEW: http://review.gluster.org/6613 (Use linkat() instead of link() for portability sake) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 65 Anand Avati 2014-01-03 01:00:45 EST
COMMIT: http://review.gluster.org/6594 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 652af839a0e332d081ed5a1beb58e8dc6ea88bfd
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu Dec 26 09:54:01 2013 +0100

    Use linkat() instead of link() for portability sake
    
    This is a backport of Iccd27ac076b7a74e40dcbaa1c4762fd3ad59da5f
    
    POSIX does not says wether link(2) on symlink should link on
    symlink itself or on target. Linux use symlink, most other
    systems use target. Using linkat(2) allows the behavior to be
    specified, so that the behavior is portable.
    
    Also fix configure test for NetBSD linkata(2), which ceased to work.
    
    BUG: 764655
    Change-Id: I7cf9e62ea19c7eb356935c11b480cf637c83126b
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/6594
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 66 Anand Avati 2014-01-03 01:01:19 EST
COMMIT: http://review.gluster.org/6612 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 4dd5f7507eb3009bf9aa85f3accf6ffb5fa42662
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Sat Dec 28 08:31:23 2013 +0100

    Use linkat() instead of link() for portability sake
    
    This is a backport of Iccd27ac076b7a74e40dcbaa1c4762fd3ad59da5f
    
    POSIX does not says wether link(2) on symlink should link on
    symlink itself or on target. Linux use symlink, most other
    systems use target. Using linkat(2) allows the behavior to be
    specified, so that the behavior is portable.
    
    Also fix configure test for NetBSD linkat(2), which ceased to work.
    
    BUG: 764655
    Change-Id: Ifcabda5e81b15cd80982bcfc05afda4c9e5370ef
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/6612
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 67 Anand Avati 2014-01-03 01:01:58 EST
COMMIT: http://review.gluster.org/6539 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d1f8b7ebc71df415f6b8ff37e9654ecee0d9064c
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu Dec 19 14:11:45 2013 +0100

    Use linkat() instead of link() for portability sake
    
    POSIX does not says wether link(2) on symlink should link on
    symlink itself or on target. Linux use symlink, most other
    systems use target. Using linkat(2) allows the behavior to be
    specified, so that the behavior is portable.
    
    Also fix configure test for NetBSD linkata(2), which ceased to work.
    
    BUG: 764655
    Change-Id: Iccd27ac076b7a74e40dcbaa1c4762fd3ad59da5f
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/6539
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 68 Anand Avati 2014-01-03 01:02:17 EST
COMMIT: http://review.gluster.org/6613 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit f54e9ca3897177ee41b5f5299b94b719448c46cd
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Sat Dec 28 08:31:55 2013 +0100

    Use linkat() instead of link() for portability sake
    
    POSIX does not says wether link(2) on symlink should link on
    symlink itself or on target. Linux use symlink, most other
    systems use target. Using linkat(2) allows the behavior to be
    specified, so that the behavior is portable.
    
    Also fix configure test for NetBSD linkat(2), which ceased to work.
    
    BUG: 764655
    Change-Id: I2633fde3b0828ca8c199e11c827720c513e15852
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/6613
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 69 Anand Avati 2014-01-03 01:33:45 EST
REVIEW: http://review.gluster.org/6633 (consolidate code for #ifdef HAVE_LINKAT usage) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 70 Anand Avati 2014-01-14 03:31:34 EST
COMMIT: http://review.gluster.org/6633 committed in master by Anand Avati (avati@redhat.com) 
------
commit 54bf0ba4698a2d46db3485cc12ae04dd90349570
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Fri Jan 3 11:59:43 2014 +0530

    consolidate code for #ifdef HAVE_LINKAT usage
    
    sys_link() now does
    
    ifdef HAVE_LINKAT
            linkat (...)
    else
            link (...)
    endif
    
    Use sys_link() in all places where we previously had the
    conditional behavior.
    
    Change-Id: I8bce5ac1175efd2ba7ab4bb5b372f6d1e0365d28
    BUG: 764655
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6633
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 71 Anand Avati 2014-01-20 05:08:53 EST
REVIEW: http://review.gluster.org/6733 (Create /var/run/gluster at install time) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 72 Anand Avati 2014-01-20 05:11:36 EST
REVIEW: http://review.gluster.org/6734 (Create /var/run/gluster at install time) posted (#1) for review on release-3.5 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 73 Anand Avati 2014-01-21 10:39:44 EST
REVIEW: http://review.gluster.org/6750 (Create /var/run/gluster at install time) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 74 Anand Avati 2014-01-22 05:13:44 EST
REVIEW: http://review.gluster.org/6734 (This is a backport of Iedc4521c906985133f906f2be058dee5e8361435) posted (#2) for review on release-3.5 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 75 Anand Avati 2014-01-22 05:15:33 EST
REVIEW: http://review.gluster.org/6734 (Create /var/run/gluster at install time) posted (#3) for review on release-3.5 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 76 Anand Avati 2014-01-22 08:21:47 EST
REVIEW: http://review.gluster.org/6750 (Create /var/run/gluster at install time) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 77 Anand Avati 2014-01-22 09:02:01 EST
REVIEW: http://review.gluster.org/6034 (Fix build with c99 compilers) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 78 Anand Avati 2014-01-22 11:27:51 EST
REVIEW: http://review.gluster.org/6760 (Create /var/run/gluster at install time) posted (#1) for review on release-3.5 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 79 Anand Avati 2014-01-22 20:32:45 EST
COMMIT: http://review.gluster.org/6034 committed in master by Anand Avati (avati@redhat.com) 
------
commit b2dfa011a3fdcb7d22764d143517d0fbd1c2a201
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Wed Jan 22 14:47:23 2014 +0100

    Fix build with c99 compilers
    
    BUG: 764655
    Change-Id: If5dfdc9c7427bd3d39d8da8f79e33ae2da6a3137
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/6034
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 80 Anand Avati 2014-01-22 23:43:28 EST
COMMIT: http://review.gluster.org/6750 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 505463a476c948bafd319c40376ba5bb4ac8ec78
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Tue Jan 21 16:39:12 2014 +0100

    Create /var/run/gluster at install time
    
    BUG: 764655
    Change-Id: I67c33984a797bc92c7035724695c5ef2bbdf5267
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/6750
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 81 Anand Avati 2014-01-22 23:43:38 EST
COMMIT: http://review.gluster.org/6760 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 0f8fb23ec622ec8f96649780804019721e1bd364
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Wed Jan 22 11:13:05 2014 +0100

    Create /var/run/gluster at install time
    
    This is a backport of I67c33984a797bc92c7035724695c5ef2bbdf5267
    
    BUG: 764655
    Change-Id: I9b202bd8ede20dbf2f55af2361492f5d242547b2
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/6760
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 82 Anand Avati 2014-01-26 10:19:19 EST
REVIEW: http://review.gluster.org/6796 (Fix unchecked malloc bug) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 83 Anand Avati 2014-01-30 02:54:32 EST
REVIEW: http://review.gluster.org/6866 (Fix unchecked malloc bug) posted (#1) for review on release-3.5 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 84 Anand Avati 2014-02-12 03:47:49 EST
REVIEW: http://review.gluster.org/6982 (Use libglusterfs wrapper to make setxattr portable) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 85 Anand Avati 2014-02-12 08:39:43 EST
REVIEW: http://review.gluster.org/6982 (Use libglusterfs wrapper to make setxattr portable) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 86 Anand Avati 2014-02-13 04:10:18 EST
COMMIT: http://review.gluster.org/6982 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 13f1d250ccbb7a3c945e35ebf182e7149b69069e
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Wed Feb 12 14:39:03 2014 +0100

    Use libglusterfs wrapper to make setxattr portable
    
    BUG: 764655
    Change-Id: I332922521bef5684f18d5f7b226cb36d5303ae47
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/6982
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 87 Anand Avati 2014-02-15 02:26:41 EST
REVIEW: http://review.gluster.org/7008 (Use libglusterfs wrapper to make setxattr portable) posted (#1) for review on release-3.5 by Vijay Bellur (vbellur@redhat.com)
Comment 88 Niels de Vos 2014-04-17 07:37:46 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.5.0, please reopen this bug report.

glusterfs-3.5.0 has been announced on the Gluster Developers mailinglist [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/6137
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user
Comment 89 Anand Avati 2014-05-15 11:12:42 EDT
REVIEW: http://review.gluster.org/7783 (NetBSD build fixes) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 90 Anand Avati 2014-05-15 11:49:23 EDT
REVIEW: http://review.gluster.org/7783 (NetBSD build fixes) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 91 Anand Avati 2014-05-15 11:59:06 EDT
REVIEW: http://review.gluster.org/7783 (NetBSD build fixes) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 92 Anand Avati 2014-05-15 12:24:41 EDT
REVIEW: http://review.gluster.org/7783 (NetBSD build fixes) posted (#4) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 93 Anand Avati 2014-05-15 12:27:35 EDT
REVIEW: http://review.gluster.org/7783 (NetBSD build fixes) posted (#5) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 94 Anand Avati 2014-05-15 23:52:23 EDT
REVIEW: http://review.gluster.org/7783 (NetBSD build fixes) posted (#6) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 95 Anand Avati 2014-05-16 05:07:31 EDT
REVIEW: http://review.gluster.org/7783 (NetBSD build fixes) posted (#7) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 96 Anand Avati 2014-05-16 08:40:02 EDT
REVIEW: http://review.gluster.org/7783 (NetBSD build fixes) posted (#8) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 97 Anand Avati 2014-05-16 11:01:36 EDT
REVIEW: http://review.gluster.org/7783 (NetBSD build fixes) posted (#9) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 98 Anand Avati 2014-05-17 14:53:40 EDT
COMMIT: http://review.gluster.org/7783 committed in master by Anand Avati (avati@redhat.com) 
------
commit 618d465295df02ae6d53be1327947a210bb8b47d
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Fri May 16 16:58:20 2014 +0200

    NetBSD build fixes
    
    - Shell scripts: == is specific to bash and ksh. Use = instead.
    - Shell scripts: use sh instead of bash if bash functionnality is not used
    - Shell scripts: ${var/search/replace} is specific to bash
    - sed: The -i option is specific to GNU sed.
    - Makefiles: $< outside of generic rules only work in GNU make.
    - xdrproc_t() is not universally defined as variadic. Do not specify third
      argument if it is not used
    - NetBSD FUSE specific: only include <perfuse.h> in FUSE client code,
      it harms in other locations
    - configure: Search for gettext() in libintl as NetBSD stores it there
    - Like MacOS X, NetBSD has unmount(2) and not umount(2) (un vs u)
    
    Some other build issues previously included in this change were
    removed:
    - __THROW macro, addressed in http://review.gluster.com/#/c/7757/
    - getmntent() compat shared with MacOS X, in http://review.gluster.com/#/c/7722/
    
    This patchset adds warning fixes for mount_glusterfs
    
    BUG: 764655
    Change-Id: I2f1faf8ff96362d3e2baf237b943df619011f1f4
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/7783
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
Comment 99 Anand Avati 2014-05-20 23:50:05 EDT
REVIEW: http://review.gluster.org/7815 (NetBSD qemu build fixes) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 100 Anand Avati 2014-05-26 23:31:49 EDT
REVIEW: http://review.gluster.org/7880 (NetBSD build fix for gettext) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 101 Anand Avati 2014-05-29 05:51:19 EDT
REVIEW: http://review.gluster.org/7925 (NetBSD build fixes for release-3.5) posted (#1) for review on release-3.5 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 102 Anand Avati 2014-05-29 08:43:53 EDT
REVIEW: http://review.gluster.org/7925 (NetBSD build fixes for release-3.5) posted (#2) for review on release-3.5 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 103 Anand Avati 2014-05-30 02:30:08 EDT
COMMIT: http://review.gluster.org/7880 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a9d4b942d714f42dd12a6bfcc8d55cd12551dd25
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Tue May 27 05:30:29 2014 +0200

    NetBSD build fix for gettext
    
    NetBSD's gettext is in libintl, hence search it at configure time.
    
    BUG: 764655
    Change-Id: I651a74fe49c3f087fe135dab3453fd5b18b4268a
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/7880
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 104 Anand Avati 2014-06-01 15:24:31 EDT
REVIEW: http://review.gluster.org/7940 (Portability fix: avoid using struct  dirent d_off field) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 105 Anand Avati 2014-06-02 06:58:39 EDT
COMMIT: http://review.gluster.org/7815 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 4f9314a5eda016d5a03ad637f2c6171794cc9291
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Wed May 21 05:45:39 2014 +0200

    NetBSD qemu build fixes
    
    Fix NetBSD build for glusterfs built in qmeu sources
    
    BUG: 764655
    Change-Id: I4428a88b1e0d7c5f6740022861ffe230dbbd84bd
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/7815
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 106 Anand Avati 2014-06-08 05:18:18 EDT
COMMIT: http://review.gluster.org/7925 committed in release-3.5 by Niels de Vos (ndevos@redhat.com) 
------
commit 587bd2b4b7b7076dd469cabf9b8ccf77fca87cfc
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu May 29 14:42:24 2014 +0200

    NetBSD build fixes for release-3.5
    
    1) Make sure __THROW is definedThis is a backport of I6e7cb1eb59b84988e155e9a8b696e842b7ff8f7f
    
    2) include <rpc/xdr.h> before <rpc/auth.h> so that XDR is defined
    This was fixed in master within I20193d3f8904388e47344e523b3787dbeab044acbut weonly pull up
    
    3) NetBSD's gettext is in libintl, hence search it at configure time
    This is a backport of I651a74fe49c3f087fe135dab3453fd5b18b4268a
    
    4) include <sys/wait.h> to have WEXITSTATUS defined
    This problem does not exist in master as WEXITSTATUS is not used
    
    5) Do not define popcountl() on NetBSD as it is in <strings.h>
    This is a backport of I4428a88b1e0d7c5f6740022861ffe230dbbd84bd
    
    BUG: 764655
    Change-Id: Ieea5a2a627e2b7930525d6c525f1602073574a97
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/7925
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 107 Anand Avati 2014-06-24 21:25:30 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 108 Anand Avati 2014-06-24 22:07:39 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild (2)) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 109 Anand Avati 2014-06-24 22:17:05 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild (3)) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 110 Anand Avati 2014-06-24 23:03:29 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild (4)) posted (#4) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 111 Anand Avati 2014-06-24 23:23:52 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild (5)) posted (#5) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 112 Anand Avati 2014-06-24 23:54:50 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild (6)) posted (#6) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 113 Anand Avati 2014-06-25 02:39:54 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild (7)) posted (#7) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 114 Anand Avati 2014-06-25 02:46:04 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild (8)) posted (#8) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 115 Anand Avati 2014-06-25 04:10:46 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild) posted (#9) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 116 Anand Avati 2014-06-25 12:54:09 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild (fail 2)) posted (#10) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 117 Anand Avati 2014-06-25 13:08:03 EDT
REVIEW: http://review.gluster.org/8166 (Test autobuild (final?)) posted (#11) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 118 Anand Avati 2014-06-27 14:28:59 EDT
REVIEW: http://review.gluster.org/8195 (Improve regression test portability) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 119 Anand Avati 2014-06-27 21:04:02 EDT
REVIEW: http://review.gluster.org/8195 (Improve regression test portability) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 120 Anand Avati 2014-07-01 01:43:33 EDT
REVIEW: http://review.gluster.org/8195 (Improve regression test portability) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 121 Anand Avati 2014-07-03 08:34:00 EDT
REVIEW: http://review.gluster.org/8195 (Improve regression test portability) posted (#4) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 122 Anand Avati 2014-07-03 13:20:27 EDT
REVIEW: http://review.gluster.org/8195 (Improve regression test portability) posted (#5) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 123 Anand Avati 2014-07-03 20:30:09 EDT
REVIEW: http://review.gluster.org/8195 (Improve regression test portability) posted (#6) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 124 Anand Avati 2014-07-09 23:58:21 EDT
REVIEW: http://review.gluster.org/8278 (Rregression test portability: dd usage) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 125 Anand Avati 2014-07-09 23:59:15 EDT
REVIEW: http://review.gluster.org/8279 (Regression test portability: run-test.sh) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 126 Anand Avati 2014-07-10 00:01:54 EDT
REVIEW: http://review.gluster.org/8280 (Regression test portability: xargs) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 127 Anand Avati 2014-07-10 00:07:46 EDT
REVIEW: http://review.gluster.org/8281 (Regression test portability: ps) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 128 Anand Avati 2014-07-10 00:08:27 EDT
REVIEW: http://review.gluster.org/8282 (Regression test portability: hostname) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 129 Anand Avati 2014-07-10 00:24:04 EDT
REVIEW: http://review.gluster.org/8283 (Regression test portability: arequal-checksum) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 130 Anand Avati 2014-07-10 09:07:23 EDT
REVIEW: http://review.gluster.org/8278 (Regression test portability: dd usage) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 131 Anand Avati 2014-07-10 09:19:20 EDT
REVIEW: http://review.gluster.org/8282 (Regression test portability: hostname) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 132 Anand Avati 2014-07-10 09:43:18 EDT
REVIEW: http://review.gluster.org/8279 (Regression test portability: run-test.sh) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 133 Anand Avati 2014-07-10 10:08:39 EDT
REVIEW: http://review.gluster.org/8290 (Regression test portability: system-specific cleanup) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 134 Anand Avati 2014-07-11 00:07:02 EDT
REVIEW: http://review.gluster.org/8282 (Regression test portability: hostname) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 135 Anand Avati 2014-07-11 05:40:25 EDT
REVIEW: http://review.gluster.org/8283 (Regression test portability: arequal-checksum) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 136 Anand Avati 2014-07-14 09:29:21 EDT
COMMIT: http://review.gluster.org/8278 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 210a59e48a52515615e440e2a6e1b650063c370b
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu Jul 10 05:45:52 2014 +0200

    Regression test portability: dd usage
    
    NetBSD, FreeBSD, and MacOS X dd(1) bs argument uses m for megabyte, while
    Linux uses M. Use bs=1024k instead of bs=1M for better compatibility.
    
    BUG: 764655
    Change-Id: I603f57adbc9b31f6d634b918726437fbfce42e03
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8278
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-by: Justin Clift <justin@gluster.org>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 137 Anand Avati 2014-07-14 12:10:19 EDT
REVIEW: http://review.gluster.org/8308 (porting: use __builtin_ffsll() instead of ffsll()) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 138 Anand Avati 2014-07-14 14:37:40 EDT
REVIEW: http://review.gluster.org/8308 (porting: use __builtin_ffsll() instead of ffsll()) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 139 Anand Avati 2014-07-16 18:28:58 EDT
COMMIT: http://review.gluster.org/8308 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit e291ce0531f3be429f90fc3ba84fa33a2e17b0f6
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Mon Jul 14 09:07:19 2014 -0700

    porting: use __builtin_ffsll() instead of ffsll()
    
    - NetBSD/Darwin doesn't implement ffsll()
    - use Compiler builtin
    
    Change-Id: Iee78b4b81747b0bd3877fd2fcb98746f642ce080
    BUG: 764655
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8308
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>
    Reviewed-by: Justin Clift <justin@gluster.org>
Comment 140 Anand Avati 2014-07-22 00:16:04 EDT
REVIEW: http://review.gluster.org/8341 (Regression test portability: truncate, md5) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 141 Anand Avati 2014-07-22 08:34:41 EDT
REVIEW: http://review.gluster.org/8341 (Regression test portability: truncate, md5) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 142 Anand Avati 2014-07-23 09:01:16 EDT
REVIEW: http://review.gluster.org/8365 (Attempt to fix cmockery2 build) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 143 Anand Avati 2014-07-23 09:13:27 EDT
REVIEW: http://review.gluster.org/8366 (Disable Erasure Code xlator if MMX is missing) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 144 Anand Avati 2014-07-23 11:24:03 EDT
REVIEW: http://review.gluster.org/8365 (Attempt to fix cmockery2 build) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 145 Anand Avati 2014-07-23 19:13:45 EDT
COMMIT: http://review.gluster.org/8366 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 1706151a42ce92057b01f4c6869bf66c65769021
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Wed Jul 23 15:11:56 2014 +0200

    Disable Erasure Code xlator if MMX is missing
    
    Erasure Code xlator requires MMX instruction set.
    Disable building it if MMX is missing.
    
    BUG: 764655
    Change-Id: Id9fe87db33e00c5630c1f3633ebd50fc4ebaec4d
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8366
    Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 146 Anand Avati 2014-07-25 10:11:13 EDT
REVIEW: http://review.gluster.org/8365 (Attempt to fix cmockery2 build) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 147 Anand Avati 2014-07-26 23:35:54 EDT
REVIEW: http://review.gluster.org/8365 (Attempt to fix cmockery2 build) posted (#4) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 148 Anand Avati 2014-07-27 02:46:51 EDT
REVIEW: http://review.gluster.org/8365 (Attempt to fix cmockery2 build) posted (#5) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 149 Anand Avati 2014-07-27 14:57:30 EDT
COMMIT: http://review.gluster.org/8365 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 5986d22e621e0c682f319bb6a0a8e622a8c0970d
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Sun Jul 27 08:45:50 2014 +0200

    Attempt to fix cmockery2 build
    
    The current code assumes cmockery2 is installed in default paths.
    Use PKG_MODULES_CHECK to find it using pkg-config if it is not. If
    not found by pkg-config, try AC_CHECK_LIB.
    
    There are also some build flag adjustement so that local overrides
    do not loose the required -I flags.
    
    This includes and enhance http://review.gluster.org/8340/
    
    BUG: 764655
    Change-Id: Ide9f77d1e70afe3c1c5c57ae2b93127af6a425f9
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8365
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 150 Anand Avati 2014-07-28 03:15:42 EDT
REVIEW: http://review.gluster.org/8379 (Use F_CLOSEM if available) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 151 Anand Avati 2014-07-28 03:43:08 EDT
REVIEW: http://review.gluster.org/8379 (Use F_CLOSEM if available) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 152 Anand Avati 2014-07-28 07:49:27 EDT
REVIEW: http://review.gluster.org/8379 (Use F_CLOSEM if available) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 153 Anand Avati 2014-07-28 08:50:30 EDT
REVIEW: http://review.gluster.org/8381 (Disable Erasure Code xlator if MMX is missing) posted (#1) for review on release-3.6 by Emmanuel Dreyfus (manu@netbsd.org)
Comment 154 Anand Avati 2014-07-28 12:58:36 EDT
COMMIT: http://review.gluster.org/8381 committed in release-3.6 by Anand Avati (avati@redhat.com) 
------
commit e55e1e0ee1352bbbbd847c6e188950cf1fccc8d5
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Mon Jul 28 14:49:16 2014 +0200

    Disable Erasure Code xlator if MMX is missing
    
    Erasure Code xlator requires MMX instruction set.
    Disable building it if MMX is missing.
    
    This is a backport of Id9fe87db33e00c5630c1f3633ebd50fc4ebaec4d
    
    BUG: 764655
    Change-Id: I880109e42838b5b35ce68508eeb0f8f005faf6f1
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8381
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
Comment 155 Anand Avati 2014-07-28 15:26:53 EDT
REVIEW: http://review.gluster.org/8290 (Regression test portability: system-specific cleanup) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 156 Anand Avati 2014-07-28 20:22:17 EDT
REVIEW: http://review.gluster.org/8341 (Regression test portability: truncate, md5) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 157 Anand Avati 2014-07-28 20:33:04 EDT
REVIEW: http://review.gluster.org/8279 (Regression test portability: run-test.sh) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 158 Anand Avati 2014-07-28 20:40:56 EDT
COMMIT: http://review.gluster.org/8282 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 38bae1bcf95e0b4f713120783c2e26fcc3f629b5
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu Jul 10 15:13:27 2014 +0200

    Regression test portability: hostname
    
    The --fqdn option to hostname is Linux only
    This is resubmission of the same patch. I assume the regression test
    is a test bug
    
    BUG: 764655
    Change-Id: I6437124186435f10d1ee6a847e2593554d633716
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8282
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 159 Anand Avati 2014-07-28 20:41:48 EDT
COMMIT: http://review.gluster.org/8281 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit a95444c95cfde4d80c179f2af2f0334565049a51
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu Jul 10 06:02:38 2014 +0200

    Regression test portability: ps
    
    ps aux is truncated to the terminal width on NetBSD, Use ps auxww to
    avoid that
    
    BUG: 764655
    Change-Id: I28a2fc23e2823dd6524a72da30111b86fc4bfa7b
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8281
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 160 Anand Avati 2014-07-28 23:17:59 EDT
REVIEW: http://review.gluster.org/8279 (Regression test portability: run-test.sh) posted (#4) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 161 Anand Avati 2014-07-30 20:26:33 EDT
REVIEW: http://review.gluster.org/8290 (Regression test portability: system-specific cleanup) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 162 Anand Avati 2014-07-30 20:53:28 EDT
COMMIT: http://review.gluster.org/8279 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 72d2143c78bb01135eef8fa6a210e8a1a0f987ce
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Tue Jul 29 02:32:14 2014 +0200

    Regression test portability: run-test.sh
    
    - Check for pidof(8) presence. It may not be present on non Linux systems
    - Add a -f flag to run-tests.sh to bypass utility presence checks
    
    Submit again because of spurious regression test failure
    
    BUG: 764655
    Change-Id: Iee6282c686c63a01808543054f8e5a3b5b79fca2
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8279
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 163 Anand Avati 2014-07-30 20:55:00 EDT
REVIEW: http://review.gluster.org/8379 (Use F_CLOSEM if available) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 164 Anand Avati 2014-07-30 20:56:24 EDT
REVIEW: http://review.gluster.org/8280 (Regression test portability: xargs) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 165 Anand Avati 2014-07-30 23:41:28 EDT
REVIEW: http://review.gluster.org/8393 (Do not call rpc_transport_unref() on NULL trans) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 166 Anand Avati 2014-08-01 12:44:46 EDT
REVIEW: http://review.gluster.org/8283 (Regression test portability: arequal-checksum) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 167 Anand Avati 2014-08-01 20:24:29 EDT
REVIEW: http://review.gluster.org/8290 (Regression test portability: system-specific cleanup) posted (#4) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 168 Anand Avati 2014-08-01 23:44:05 EDT
REVIEW: http://review.gluster.org/8283 (Regression test portability: arequal-checksum) posted (#4) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 169 Anand Avati 2014-08-02 01:26:08 EDT
COMMIT: http://review.gluster.org/8290 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 61e2ed9d178910fdf7d0499b54601a4191f9cb75
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Sat Aug 2 02:23:34 2014 +0200

    Regression test portability: system-specific cleanup
    
    Add NetBSD system-specific cleanup code
    Define killall as pkill when it is missing.
    
    BUG: 764655
    Change-Id: I3a1cfa3029fd60ede334a670fc115c211700063d
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8290
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 170 Anand Avati 2014-08-03 00:08:00 EDT
REVIEW: http://review.gluster.org/8403 (Fix glustershd detection on volume restart) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 171 Anand Avati 2014-08-03 11:03:14 EDT
REVIEW: http://review.gluster.org/8403 (Fix glustershd detection on volume restart) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 172 Anand Avati 2014-08-04 03:32:49 EDT
REVIEW: http://review.gluster.org/8393 (Do not call rpc_transport_unref() on NULL trans) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 173 Anand Avati 2014-08-04 03:53:03 EDT
REVIEW: http://review.gluster.org/8379 (Use F_CLOSEM if available) posted (#5) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 174 Anand Avati 2014-08-04 04:57:34 EDT
REVIEW: http://review.gluster.org/8393 (Do not call rpc_transport_unref() on NULL trans) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 175 Anand Avati 2014-08-04 05:09:35 EDT
COMMIT: http://review.gluster.org/8393 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit 6ff2fd2e05c35562cf9505b95d191ee7fe001823
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu Jul 31 05:37:37 2014 +0200

    Do not call rpc_transport_unref() on NULL trans
    
    rpc_clnt_disable() sets rpc->conn->trans to NULL, hence we should not
    call rpc_transport_unref() afterwards. I moved it before the
    rpc_clnt_disable() call, but I am not sure it should be called at all,
    perhaps it should just go away.
    
    BUG: 764655
    Change-Id: I488d0207494e3a3fad52e64e67b2e740b236b864
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8393
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Raghavendra G <rgowdapp@redhat.com>
Comment 176 Anand Avati 2014-08-04 07:23:50 EDT
REVIEW: http://review.gluster.org/8280 (Regression test portability: xargs) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 177 Anand Avati 2014-08-04 16:59:29 EDT
REVIEW: http://review.gluster.org/8283 (Regression test portability: arequal-checksum) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 178 Anand Avati 2014-08-04 17:11:44 EDT
REVIEW: http://review.gluster.org/8283 (Regression test portability: arequal-checksum) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 179 Anand Avati 2014-08-04 17:15:30 EDT
REVIEW: http://review.gluster.org/8283 (Regression test portability: arequal-checksum) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 180 Anand Avati 2014-08-04 20:41:26 EDT
COMMIT: http://review.gluster.org/8283 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 2ff46b74b25cc2e61bfe67c43b31d8f5ca88e4ac
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Sat Aug 2 05:42:39 2014 +0200

    Regression test portability: arequal-checksum
    
    Building arequal-checksum on non Linux systems requires a few adjustments:
    - use __builtin_alloca() on all platforms
    - on systems without argp, get it from contrib/standalone-argp
      (this requires adding cflags support to the build_tester function)
    - FTW_ACTIONRETVAL option to nftw(3) is GNU libc specific, work around
      if it does not exist.
    - md5sum is Linux-specific. Use md5 -n on NetBSD and md5 -q on FreeBSD/Darwin
    - Use 'cc' as synonymous for all compilers, it can behave as gcc/clang depending
      on which is default
    - cleanup tabs/whitespaces
    
    BUG: 764655
    Change-Id: I9090c17da596fbf00fc1fbd7593163ce8cd3b84c
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8283
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 181 Anand Avati 2014-08-05 03:07:18 EDT
REVIEW: http://review.gluster.org/8403 (Fix glustershd detection on volume restart) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 182 Anand Avati 2014-08-05 19:54:45 EDT
REVIEW: http://review.gluster.org/8422 (Define proper environement for running tests) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 183 Anand Avati 2014-08-06 03:23:20 EDT
REVIEW: http://review.gluster.org/8424 (Regression test portability: stat (1/2)) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 184 Anand Avati 2014-08-06 07:49:21 EDT
COMMIT: http://review.gluster.org/8341 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit f29da9bcc812e3d0711005ce86051d70c277a165
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Tue Jul 29 02:21:20 2014 +0200

    Regression test portability: truncate, md5
    
    Add shell functions to replace truncate and md5, which are Linux specific
    Resubmit because of failed regression test with no apparent cause
    
    BUG: 764655
    Change-Id: I07200cf886bd52904a5cf63c66f43f0b1cc91540
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8341
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 185 Anand Avati 2014-08-06 20:25:53 EDT
REVIEW: http://review.gluster.org/8424 (Regression test portability: stat) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 186 Anand Avati 2014-08-07 00:41:52 EDT
REVIEW: http://review.gluster.org/8427 (Regression test portability: arequal-checksum) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 187 Anand Avati 2014-08-07 03:05:29 EDT
REVIEW: http://review.gluster.org/8424 (Regression test portability: stat) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 188 Anand Avati 2014-08-07 06:37:55 EDT
REVIEW: http://review.gluster.org/8424 (Regression test portability: stat) posted (#4) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 189 Anand Avati 2014-08-07 11:02:13 EDT
REVIEW: http://review.gluster.org/8424 (Regression test portability: stat) posted (#5) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 190 Anand Avati 2014-08-07 23:23:06 EDT
REVIEW: http://review.gluster.org/8431 (Wrong test in self-heal.t) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 191 Anand Avati 2014-08-07 23:50:42 EDT
REVIEW: http://review.gluster.org/8432 (Regression test portability: mktemp) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 192 Anand Avati 2014-08-08 00:17:25 EDT
REVIEW: http://review.gluster.org/8433 (Regression test portability: mknod) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 193 Anand Avati 2014-08-08 01:02:03 EDT
COMMIT: http://review.gluster.org/8431 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 8c837b8e2a0f6fb369b4bc08d9e2a40394478daa
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Fri Aug 8 05:19:15 2014 +0200

    Wrong test in self-heal.t
    
    self-heal.t checks for gfid before and after an operation, but fails
    to do it on the same file since the prefix is not the same: undefined
    $B1 before and $B0 after.
    
    The errorcause the test to fail on NetBSD. I do not know how this test
    could pass on Linux before.
    
    BUG: 764655
    Change-Id: I6df1175e177855afca1736cf8c847c51fe407576
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8431
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
Comment 194 Anand Avati 2014-08-08 06:04:02 EDT
REVIEW: http://review.gluster.org/8437 (Search zlib without pkg-config) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 195 Anand Avati 2014-08-08 08:45:43 EDT
REVIEW: http://review.gluster.org/8441 (Do not assume sizeof(size_t)) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 196 Anand Avati 2014-08-08 19:21:53 EDT
COMMIT: http://review.gluster.org/8280 committed in master by Anand Avati (avati@redhat.com) 
------
commit 31a0dbb21ebfaa2b25f6b407cbdbb5da1509db29
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Mon Aug 4 13:22:10 2014 +0200

    Regression test portability: xargs
    
    Linux xarg complains about an empty input, while NetBSD xargs does not.
    This breaks tests where xargs is in a pipe after a command that should
    be tested. Make sure we test the first command without xargs
    
    BUG: 764655
    Change-Id: I754d7d52332221c462ce3594f4e8d8d62ae606d5
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8280
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 197 Anand Avati 2014-08-09 18:04:38 EDT
REVIEW: http://review.gluster.org/8446 (Enable aux-gfid-mount option on non Linux systems) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 198 Anand Avati 2014-08-09 18:16:16 EDT
REVIEW: http://review.gluster.org/8447 (Always chack for ENODATA with ENOATTR) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 199 Anand Avati 2014-08-09 18:29:32 EDT
COMMIT: http://review.gluster.org/8437 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit b97ade3b05acf3784b0df11421e6b78fca0cfe85
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Fri Aug 8 12:01:34 2014 +0200

    Search zlib without pkg-config
    
    NetBSD has zlib installed in base system and no .pc file for it. In
    order to discover it, fallback to AC_CHECK_LIB is PKG_CHECK_MODULES
    fail to find it.
    
    This enables cdc xlator, and we pass tests/basic/cdc.t
    
    BUG: 764655
    Change-Id: Ide84402aa38edc2709d12e2530401c6b8c722529
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8437
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 200 Anand Avati 2014-08-10 04:10:06 EDT
REVIEW: http://review.gluster.org/8441 (Do not assume sizeof(size_t)) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 201 Anand Avati 2014-08-10 04:11:01 EDT
REVIEW: http://review.gluster.org/8447 (Always check for ENODATA with ENOATTR) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 202 Anand Avati 2014-08-10 13:57:15 EDT
REVIEW: http://review.gluster.org/8450 (Regression test portability: sha1sum) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 203 Anand Avati 2014-08-10 14:01:04 EDT
REVIEW: http://review.gluster.org/8451 (Always build EC xlator) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 204 Anand Avati 2014-08-10 18:14:16 EDT
COMMIT: http://review.gluster.org/8451 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit ccb5dc01b8916f0e7d1e3d3535a81cc8b0f0c25e
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Sun Aug 10 19:44:58 2014 +0200

    Always build EC xlator
    
    Now EC xlator does not require MMX anymore, always build it.
    
    BUG: 764655
    Change-Id: I50a64e22c080f2759eaa57786e7f69c34f11f89c
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8451
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 205 Anand Avati 2014-08-10 18:24:03 EDT
REVIEW: http://review.gluster.org/8403 (Fix glustershd detection on volume restart) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 206 Anand Avati 2014-08-10 18:51:43 EDT
REVIEW: http://review.gluster.org/8403 (Fix glustershd detection on volume restart) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 207 Anand Avati 2014-08-11 00:09:52 EDT
REVIEW: http://review.gluster.org/8452 (Regression test portability: json_verify) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 208 Anand Avati 2014-08-12 20:01:57 EDT
REVIEW: http://review.gluster.org/8463 (Regression test portability: mkdir) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 209 Anand Avati 2014-08-13 00:05:55 EDT
REVIEW: http://review.gluster.org/8464 (Regression test portability: dd) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 210 Anand Avati 2014-08-13 04:42:55 EDT
REVIEW: http://review.gluster.org/8470 (Regression test portability: xargs) posted (#1) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)
Comment 211 Anand Avati 2014-08-13 04:42:59 EDT
REVIEW: http://review.gluster.org/8471 (Search zlib without pkg-config) posted (#1) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)
Comment 212 Anand Avati 2014-08-13 04:43:08 EDT
REVIEW: http://review.gluster.org/8473 (Always build EC xlator) posted (#1) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)
Comment 213 Anand Avati 2014-08-13 09:22:43 EDT
REVIEW: http://review.gluster.org/8478 (NetBSD /dev/fuse detection) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 214 Anand Avati 2014-08-13 09:29:28 EDT
REVIEW: http://review.gluster.org/8403 (Fix glustershd detection on volume restart) posted (#6) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 215 Anand Avati 2014-08-13 11:30:45 EDT
COMMIT: http://review.gluster.org/8478 committed in master by Krishnan Parthasarathi (kparthas@redhat.com) 
------
commit 5fe2233a8243160443e9bb438a40b1bcacac4fca
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Wed Aug 13 15:20:20 2014 +0200

    NetBSD /dev/fuse detection
    
    NetBSD's FUSE being pure userland implementation, there is no /dev/fuse
    to open. Test /dev/puffs (kernel fs-in-userland subsystem supporting FUSE)
    insead.
    
    BUG: 764655
    Change-Id: Ia65e95c246dc31ea2839cf64d7c851430828542e
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8478
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Krishnan Parthasarathi <kparthas@redhat.com>
Comment 216 Anand Avati 2014-08-13 14:13:04 EDT
REVIEW: http://review.gluster.org/8403 (Fix glustershd detection on volume restart) posted (#7) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 217 Anand Avati 2014-08-18 03:55:45 EDT
COMMIT: http://review.gluster.org/8446 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 41a22836fd581216d0a071cef5676651d676fd29
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Sun Aug 10 00:02:21 2014 +0200

    Enable aux-gfid-mount option on non Linux systems
    
    The aux-gfid-mount works on non Linux systems, and it is required
    to pass tests/basic/gfid-access.t
    
    BUG: 764655
    Change-Id: Ic6c8ef425e091440a139bbd25fadbf4f82e378cb
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8446
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 218 Anand Avati 2014-08-18 04:05:35 EDT
COMMIT: http://review.gluster.org/8463 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit c80b5b915a6bf2c6506d789f8ab6f0dcbf3dc617
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Wed Aug 13 02:00:05 2014 +0200

    Regression test portability: mkdir
    
    mkdir -v (verbose) is not portable, just remove it.
    
    BUG: 764655
    Change-Id: If344792caf977698abe0bf497d9083bc9333df55
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8463
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 219 Anand Avati 2014-08-18 04:09:46 EDT
COMMIT: http://review.gluster.org/8424 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit ba0f31b2a5c8bd35f99b1ba2a74c81a2c2ded200
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu Aug 7 17:01:18 2014 +0200

    Regression test portability: stat
    
    Linux uses stat -c, stat --printf= or stat --printf
    NetBSD uses stat -f with different format strings. This change set
    changes all stat usage to stat -c and introduce a shell stat()
    fonction to perform the format string translation.
    
    BUG: 764655
    Change-Id: I024fca7c1b736b053f5888cbf21da0a72489ef63
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8424
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 220 Anand Avati 2014-08-20 16:42:11 EDT
COMMIT: http://review.gluster.org/8464 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 011b3fc4afd2cb12b8b3248df05c3870ae4cfe78
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Wed Aug 13 06:04:25 2014 +0200

    Regression test portability: dd
    
    Use dd msgfmt=quiet also in truncate replacement
    
    BUG: 764655
    Change-Id: I5ad022c1dc65ecc98996ccbe8a3d0e9de162aa1a
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8464
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 221 Anand Avati 2014-08-20 16:42:52 EDT
COMMIT: http://review.gluster.org/8450 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit a521fc1d22db5477552c0fabc1f918b43caa50c3
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Sun Aug 10 19:56:06 2014 +0200

    Regression test portability: sha1sum
    
    Provide a shell function for sha1sum if missing
    
    BUG: 764655
    Change-Id: I8b232af8aab7f95ba7c7ad83e37a111d562201a5
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8450
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 222 Anand Avati 2014-08-20 16:46:50 EDT
COMMIT: http://review.gluster.org/8432 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 33be39b42f3b9b0505f83a509ff87d416e106158
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Fri Aug 8 05:39:38 2014 +0200

    Regression test portability: mktemp
    
    Linux mktemp accepts to run without a template, NetBSD mandates it. Since
    the template option has the same syntax, add it everywhere. While there,
    also do this in scripts outside of regression testing.
    
    BUG: 764655
    Change-Id: I3ec140afbc9009257c81a56d77afcc21fef74cc4
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8432
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
Comment 223 Anand Avati 2014-09-01 01:28:46 EDT
COMMIT: http://review.gluster.org/8433 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 4ae887db6b770584219fab484dec027d278baef9
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Fri Aug 8 06:12:04 2014 +0200

    Regression test portability: mknod
    
    Linux mknod(2) is able to create fifo and named sockets. NetBSD and
    FreeBSD use mkfifo(2) and socket(2)/bind(2) for that.
    
    BUG: 764655
    Change-Id: I1d3969e3fcb6afdbd184c28bd268ffa2da7ae202
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8433
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 224 Anand Avati 2014-09-01 03:45:51 EDT
REVIEW: http://review.gluster.org/8447 (Always check for ENODATA with ENOATTR) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 225 Anand Avati 2014-09-01 08:08:01 EDT
REVIEW: http://review.gluster.org/8447 (Always check for ENODATA with ENOATTR) posted (#4) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 226 Anand Avati 2014-09-04 18:17:05 EDT
REVIEW: http://review.gluster.org/8427 (Regression test portability: arequal-checksum) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 227 Anand Avati 2014-09-08 05:06:56 EDT
COMMIT: http://review.gluster.org/8447 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 72324ef5e6a1749fbdb1944b2f088f58090f81b3
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Mon Sep 1 14:07:15 2014 +0200

    Always check for ENODATA with ENOATTR
    
    Linux defines ENODATA and ENOATTR with the same value, which means that
    code can miss on on the two without breaking.
    
    FreeBSD does not have ENODATA and GlusterFS defines it as ENOATTR just
    like Linux does.
    
    On NetBSD, ENODATA != ENOATTR, hence we need to check for both values
    to get portable behavior.
    
    BUG: 764655
    Change-Id: I003a3af055fdad285d235f2a0c192c9cce56fab8
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8447
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
Comment 228 Anand Avati 2014-09-16 07:47:20 EDT
COMMIT: http://review.gluster.org/8441 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit b30f9e56cd92906ccb97e046b8928d7de76b4b50
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Sun Aug 10 10:08:52 2014 +0200

    Do not assume sizeof(size_t)
    
    This fixes an assumption that sizeof(size_t) == sizeof(uint64_t), which
    is not guaranteed. At least on NetBSD/i386, size_t is 32 bit long.
    
    Caught by tests/basics/file-snapshot.t
    
    BUG: 764655
    Change-Id: Ib7620a2ffe8758521886af37bc280101a040d860
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8441
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Dan Lambright <dlambrig@redhat.com>
Comment 229 Anand Avati 2014-09-16 08:18:41 EDT
COMMIT: http://review.gluster.org/8427 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 68e062ea6e3e6957cc6212f778950cce54078a90
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Thu Aug 7 06:37:30 2014 +0200

    Regression test portability: arequal-checksum
    
    Emulate GNU libc extension FTW_SKIP_SUBTREE for system that lack it.
    FTW_ACTIONRETVAL is another GNU libc extension we just ignore now.
    
    BUG: 764655
    Change-Id: I25d9641055a30fe72b4e248f51b53b2a3ba637e9
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8427
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 230 Niels de Vos 2014-09-18 01:59:50 EDT
*** Bug 1121822 has been marked as a duplicate of this bug. ***
Comment 231 Anand Avati 2014-10-01 11:52:50 EDT
REVIEW: http://review.gluster.org/8379 (Use F_CLOSEM if available) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 232 Anand Avati 2014-10-06 05:25:59 EDT
REVIEW: http://review.gluster.org/8904 (Test of netbsd7 smoke test) posted (#1) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 233 Anand Avati 2014-10-06 05:53:53 EDT
REVIEW: http://review.gluster.org/8904 (Test of netbsd7 smoke test) posted (#2) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 234 Anand Avati 2014-10-06 08:01:44 EDT
REVIEW: http://review.gluster.org/8904 (Test of netbsd7 smoke test) posted (#3) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 235 Anand Avati 2014-10-06 08:35:04 EDT
REVIEW: http://review.gluster.org/8904 (Test of netbsd7 smoke test) posted (#4) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 236 Anand Avati 2014-10-06 08:51:22 EDT
REVIEW: http://review.gluster.org/8904 (Test of netbsd7 smoke test) posted (#5) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 237 Anand Avati 2014-10-06 09:08:58 EDT
REVIEW: http://review.gluster.org/8904 (Test of netbsd7 smoke test) posted (#6) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 238 Anand Avati 2014-10-06 09:15:37 EDT
REVIEW: http://review.gluster.org/8904 (Test of netbsd7 smoke test) posted (#7) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 239 Anand Avati 2014-10-06 09:29:03 EDT
REVIEW: http://review.gluster.org/8904 (Test of netbsd7 smoke test) posted (#8) for review on master by Emmanuel Dreyfus (manu@netbsd.org)
Comment 240 Anand Avati 2014-10-30 04:39:55 EDT
COMMIT: http://review.gluster.org/8379 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 3b022b19b77c3a159682b76998fa9ac9518e1c3c
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Mon Aug 4 09:52:09 2014 +0200

    Use F_CLOSEM if available
    
    Use F_CLOSEM to close all file descriptors if available.
    
    BUG: 764655
    Change-Id: Ib3c682825b89c163ebb152848f2533b3cb62cdce
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8379
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 241 Anand Avati 2015-04-09 09:41:09 EDT
REVIEW: http://review.gluster.org/10178 (Tests: fix spurious failure in read-subvol-entry.t) posted (#1) for review on release-3.6 by Emmanuel Dreyfus (manu@netbsd.org)

Note You need to log in before you can comment on or make changes to this bug.